Subject: Re: bug#62507: 28.2; Crash when editing TODO line with malformed tag

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Mar 2023 13:57:56 +0300

> Date: Tue, 28 Mar 2023 10:54:53 -0700
> From:  Patrick Brennan via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 1. Create or open a .org file with a top-level TODO item, e.g.:
> 
> * TODO Do something special
> 
> 2. Add a malformed tag by typing, so the line looks like this:
> 
> * TODO Do something special :to-do:zoom:
> 
> You will notice that Emacs/Org-mode doesn't highlight the tags. Also
> note that the tag "to-do" is malformed; tags aren't allowed to contain
> dashes.
> 
> 3. Add a good tag by using C-c C-q, type "todo" and hit enter. Your line
> should now look like this:
> 
> * TODO Do something  :to-do:zoom:                                      :todo:
> 
> 4. Now put your cursor on the first colon on the line (col 21) and hit
> C-d repeatedly to delete the "tags" you placed earlier.
> 
> 5. Crash!

I cannot reproduce the crash, neither in Emacs 28.2 nor in what will
soon be Emacs 29.1.  Does this happen if you start with "emacs -Q" and
then follow the recipe you posted?

In any case, if you can run this under GDB and show backtrace after
the crash, it might help (assuming your Emacs was built with debug
symbols and not stripped).

Thanks.